petsc-3.7.1 2016-05-15
Report Typos and Errors

# PFView

Prints information about a mathematical function

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFView(PF pf,PetscViewer viewer)

Collective on PF unless PetscViewer is PETSC_VIEWER_STDOUT_SELF Many br

### Input Parameters

| PF | - the PF context Many br
| viewer | - optional visualization context Many br

### Note

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

The user can open an alternative visualization contexts with Many brPetscViewerASCIIOpen() (output to a specified file). Many br

Many br

### Keywords

PF, view

### See Also

PetscViewerCreate(), PetscViewerASCIIOpen()

Level:developer
Location:src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages